Subject: bug#39489: 28.0.50; On Emacs 27, 28, tramp hangs indefinitely

From: Benjamin Slade <[email-masked]>
Date: Sat, 08 Feb 2020 14:04:28 -0700

Hi Michael,

Thanks for following up on this. (It is most perplexing to me.)

On 2020-02-08T02:31:40-0700, Michael Albinus 
<[email-masked]> wrote:

 > Like you, I believe it is a problem with auth-sources.el. I 
 > suppose you have only one file, ~/.authinfo.gpg? And you don't 
 > have neither ~/.authinfo nor ./netrc? What is the value of 
 > auth-sources?

I have a =~/.authinfo.gpg= file (with contents). There is no 
=~/.authinfo= file. There *is* a =~/.netrc= file, but it's empty.

For my regular configuration, the value of =auth-sources= is:

--8<---------------cut here---------------start------------->8---
("~/.authinfo.gpg")
--8<---------------cut here---------------end--------------->8---

For =emacs -q -l tramp-sh=, the value of =auth-sources= is:

--8<---------------cut here---------------start------------->8---
("~/.authinfo" "~/.authinfo.gpg" "~/.netrc")
--8<---------------cut here---------------end--------------->8---

 > Could you please run the following test:

 > --8<---------------cut 
 > here---------------start------------->8---
 > # emacs -q -l tramp-sh
 > --8<---------------cut 
 > here---------------end--------------->8---

Since you specify `#`, I ran as root first, and then also as my 
regular user.

 > In Emacs, please evaluate

 > --8<---------------cut 
 > here---------------start------------->8---
 > (progn
 >   (dolist (elt (cons "auth-source-search"
 >                      (all-completions "tramp-" obarray 
 >                      'functionp)))
 >     (trace-function-background (intern elt)))
 >   (setq auth-source-debug 'trivia))
 > --8<---------------cut 
 > here---------------end--------------->8---

 > After that, pls apply

 > --8<---------------cut 
 > here---------------start------------->8---
 > C-x C-f /sudo:: ;; Cancel it with C-g if necessary
 > M-x untrace-all
 > --8<---------------cut 
 > here---------------end--------------->8---

 > There will be a new buffer *trace-output*, which I would like 
 > to see.
 > I would also like to see your *Messages* buffer, with the 
 > traces from
 > auth-sources.el. Pls send them as attachment, in order to keep 
 > the line
 > breaks.

I did the above both as root and as my regular user. I attach the 
results of both.

 > *** ATTENTION ***

 > The *trace-output* buffer might contain your password, as 
 > result of the
 > function tramp-read-passwd, and in obfuscated form as result of
 > auth-source-search. You should overwrite these strings with 
 > "xxx" or
 > alike.

I could find no evidence of any of my passwords in this output.

with many thanks,
   —Ben

--
( Dr Benjamin Slade . [email-masked] . https://lambda-y.net )
( Linguistics . University of Utah . https://linguistics.utah.edu 
)
( office : LNCO 2309 )
`( pgp_fp: ,(21BA 2AE1 28F6 DF36 110A 0E9C A320 BBE8 2B52 EE19))
'( sent by mu4e in Emacs on GNU/Linux . https://gnu.org )